Skip to content

Transfer a client to another distributor ​

PUT
/v1/clients/{source_client_id}/transfer

Transfer a client to another distributor.

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

source_client_id*

Source Client ID

Type
string
Required

Request Body​

application/json
JSON
{
  
"target_distributor_id": "a1b2c3d4e5f67890123456789abcdef0_dst"
}

Responses​

OK

application/json
JSON
{
  
"client_id": "19941a73d2b5498caf6894d62bb6c3a4_cln",
  
"distributor_id": "b05f667dcaa843bd8c171c522217eb81_dst",
  
"email": "[email protected]",
  
"created": "2025-01-01T12:00:00",
  
"updated": "2025-02-01T08:30:00",
  
"deleted": null,
  
"scope": "distributor",
  
"client_status": "active",
  
"label": "Acme Client",
  
"language": "en",
  
"distributor_name": "Acme Distributors",
  
"roles": [
  
  
"string"
  
],
  
"available_roles": [
  
  
"string"
  
],
  
"active_until": "2025-12-31T23:59:59"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​